extern x;
extern proc();
main () {
   proc();
        #define X(i) case i: x=i;
    switch(x) {
        X(1);
        X(2);
        X(3);
        X(4);
        X(5);
        X(6);
        X(7);
        X(8);
        }
    }
